Bug 117376 - gdm "last logged in" handling doesnt understand some records
Summary: gdm "last logged in" handling doesnt understand some records
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-03 13:10 UTC by Alan Cox
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 15:29:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2004-03-03 13:10:20 UTC
Gdm decides people are "still logged in" if they were logged in when
the last reboot occurred. The accounting logs include boot records
specifically to deal with this problem but it appears gdm doesn't
understand them or is using some other method.

Comment 1 Ray Strode [halfline] 2004-11-11 04:49:47 UTC
Hi Alan,

What do you mean gdm "decides people are 'still logged in'"?  You mean
that if you try to log in after a reboot it warns you that you are
already logged in?

I believe wtmp records are maintained by the sessreg program being
called by scripts in /etc/X11/gdm/PreSession and PostSession.  The
latter script probably doesn't get called during reboots. 

Comment 2 Alan Cox 2004-11-11 13:05:10 UTC
The system wtmp contains boot records to avoid this problem. Other
wtmp using applications know about the boot record so they will either
write the previous
session as
  12:14 - (crash ??) 
or just give the login time and not try to report detail like
length/logout



Comment 3 John Thacker 2006-10-29 22:48:55 UTC
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.

Comment 4 John Thacker 2007-01-12 15:29:18 UTC
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.